<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.user">var.user</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administratord&lt;/name>&lt;eMailAddress>&lt;active>true&lt;/active>&lt;/eMailAddress>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;organizations>&lt;organization>&lt;id>showcase&lt;/id>&lt;displayName>showcase&lt;/displayName>&lt;name/>&lt;configuration>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    &lt;overviews>
      &lt;overview>
        &lt;type>tree&lt;/type>
        &lt;grouping>true&lt;/grouping>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;rootTemplate>
          &lt;templateId>4&lt;/templateId>
          &lt;templateName>Marktübersicht&lt;/templateName>
        &lt;/rootTemplate>
        &lt;title>
          &lt;de>Marktübersicht&lt;/de>
          &lt;en>Marktübersicht&lt;/en>
        &lt;/title>
        &lt;tabTitle>
          &lt;de>Marktübersicht&lt;/de>
          &lt;en>Marktübersicht&lt;/en>
        &lt;/tabTitle>
        &lt;headIconPath>overview64&lt;/headIconPath>
        &lt;defaultFilters>
          &lt;item>
            &lt;key>displayName&lt;/key>
            &lt;operator>contains&lt;/operator>
          &lt;/item>
        &lt;/defaultFilters>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;grouping>true&lt;/grouping>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;singleTemplateMode>
          &lt;templateId>4&lt;/templateId>
          &lt;templateName>Netzgebiete&lt;/templateName>
        &lt;/singleTemplateMode>
        &lt;title>
          &lt;de>Netzgebiete&lt;/de>
          &lt;en>Netzgebiete&lt;/en>
        &lt;/title>
        &lt;tabTitle>
          &lt;de>Netzgebiete&lt;/de>
          &lt;en>Netzgebiete&lt;/en>
        &lt;/tabTitle>
        &lt;headIconPath>overview64&lt;/headIconPath>
        &lt;defaultFilters>
          &lt;item>
            &lt;key>displayName&lt;/key>
            &lt;operator>contains&lt;/operator>
          &lt;/item>
        &lt;/defaultFilters>
        &lt;customColumns>
          &lt;item>
            &lt;title>
              &lt;de>EIC&lt;/de>
            &lt;/title>
            &lt;attributePath>EIC&lt;/attributePath>
            &lt;type>string&lt;/type>
          &lt;/item>
        &lt;/customColumns>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;grouping>true&lt;/grouping>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;singleTemplateMode>
          &lt;templateId>5&lt;/templateId>
          &lt;templateName>Netzbetreiber&lt;/templateName>
        &lt;/singleTemplateMode>
        &lt;title>
          &lt;de>Netzbetreiber&lt;/de>
          &lt;en>Netzbetreiber&lt;/en>
        &lt;/title>
        &lt;tabTitle>
          &lt;de>Netzbetreiber&lt;/de>
          &lt;en>Netzbetreiber&lt;/en>
        &lt;/tabTitle>
        &lt;headIconPath>overview64&lt;/headIconPath>
        &lt;defaultFilters>
          &lt;item>
            &lt;key>displayName&lt;/key>
            &lt;operator>contains&lt;/operator>
          &lt;/item>
        &lt;/defaultFilters>
        &lt;customColumns/>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;grouping>true&lt;/grouping>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;singleTemplateMode>
          &lt;templateId>3&lt;/templateId>
          &lt;templateName>Erzeuger&lt;/templateName>
        &lt;/singleTemplateMode>
        &lt;title>
          &lt;de>Erzeuger&lt;/de>
          &lt;en>Erzeuger&lt;/en>
        &lt;/title>
        &lt;tabTitle>
          &lt;de>Erzeuger&lt;/de>
          &lt;en>Erzeuger&lt;/en>
        &lt;/tabTitle>
        &lt;headIconPath>overview64&lt;/headIconPath>
        &lt;defaultFilters>
          &lt;item>
            &lt;key>displayName&lt;/key>
            &lt;operator>contains&lt;/operator>
          &lt;/item>
        &lt;/defaultFilters>
        &lt;customColumns/>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;grouping>true&lt;/grouping>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;singleTemplateMode>
          &lt;templateId>26&lt;/templateId>
          &lt;templateName>Anlagen&lt;/templateName>
        &lt;/singleTemplateMode>
        &lt;title>
          &lt;de>Anlagen&lt;/de>
          &lt;en>Anlagen&lt;/en>
        &lt;/title>
        &lt;tabTitle>
          &lt;de>Anlagen&lt;/de>
          &lt;en>Anlagen&lt;/en>
        &lt;/tabTitle&gt;
        &lt;headIconPath>overview64&lt;/headIconPath>
        &lt;defaultFilters>
          &lt;item>
            &lt;key>displayName&lt;/key>
            &lt;operator>contains&lt;/operator>
          &lt;/item>
        &lt;/defaultFilters>
        &lt;customColumns/>
      &lt;/overview>
    &lt;/overviews>
    &lt;assetChoicePopupDefaultFilters>
      &lt;key>displayName&lt;/key>
      &lt;operator>contains&lt;/operator>
    &lt;/assetChoicePopupDefaultFilters>
    &lt;noLocationAndContactsFilters>true&lt;/noLocationAndContactsFilters>
    &lt;sortMode>user_ci&lt;/sortMode>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration/>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;roles>&lt;role>Flower User&lt;/role>&lt;role>Power User&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context&gt;&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module&gt;&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;/user></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1505310090302</Property>
		<Property name="ISWorkflowName">VAM_api_main_attachUser</Property>
		<Property name="ISModuleName">VAM_api_demultiplexer</Property>
		<Property name="ISModuleId">46</Property>
		<Property name="ISProcessId">2489810</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">2489810</Property>
		<Property name="ISInvokingWorkflow">VAM_api_main_api</Property>
		<Property name="ISInvokingModule">VAM_api_wfc_attachUser</Property>
		<Property name="var.organizationId">cktest</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;startTimestamp>1505310090243&lt;/startTimestamp>&lt;/session></Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;cookie>GUEST_LANGUAGE_ID=de_DE; COOKIE_SUPPORT=true; BPC_J_S=d471f70b-4d0d-4f0e-8f14-f4e190025880&lt;/cookie>&lt;/userContext></Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.datastream" type="InternalDocument" documentSize="47">H4sIAAAAAAAA/7Oxr8jNUShLLSrOzM+zVTLUM1BSSM1Lzk/JzEu3VQoNcdO1ULK347JJzS0oqdS3AwCGqPsjLwAAAA==</Property>
		<Property name="var.backend">bpc</Property>
		<Property name="var.user" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;user>&lt;id>bpcadmin&lt;/id>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;organizations>&lt;organization>&lt;id>showcase&lt;/id>&lt;name/>&lt;/organization>&lt;organization>&lt;id>cktest&lt;/id>&lt;name/>&lt;/organization>&lt;/organizations>&lt;roles>&lt;role>VAM-administrator&lt;/role>&lt;role>Power User&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>User&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>Flower User&lt;/role>&lt;/roles>&lt;/user></Property>
		<Property name="var.loginName">bpcadmin</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.user" as="element()"/>
  &lt;xsl:template match="/">&lt;xsl:variable name="var.good" as="xs:boolean">&lt;xsl:choose>&lt;xsl:when test="exists(user)">&lt;xsl:variable name="var.oldUser" select="user" as="element()"/>&lt;xsl:variable name="var.changed" as="xs:boolean*">&lt;xsl:value-of select="$var.oldUser/name != $var.user/name"/>&lt;xsl:value-of select="$var.oldUser/eMailAddress != $var.user/eMailAddress "/>&lt;xsl:value-of select="$var.oldUser/active != $var.user/active"/>&lt;xsl:value-of select="$var.oldUser/locale != $var.user/locale"/>&lt;xsl:for-each select="$var.oldUser/roles/*">&lt;xsl:value-of select="not(exists($var.user/roles/*[. = current()]))"/>&lt;/xsl:for-each>&lt;xsl:for-each select="$var.user/roles/*">&lt;xsl:value-of select="not(exists($var.oldUser/roles/*[. = current()]))"/>&lt;/xsl:for-each>&lt;xsl:for-each select="$var.oldUser/organizations/*">&lt;xsl:value-of select="not(exists($var.user/organizations/*[id = current()/id]))"/>&lt;/xsl:for-each>&lt;xsl:for-each select="$var.user/organizations/*">&lt;xsl:value-of select="not(exists($var.oldUser/organizations/*[id = current()/id]))"/>&lt;/xsl:for-each>&lt;/xsl:variable>&lt;xsl:value-of select="not($var.changed = true())"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:value-of select="false()"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:variable>&lt;xsl:choose>&lt;xsl:when test="$var.good">&lt;xsl:copy-of select="user"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;nouser/>&lt;/xsl:otherwise>&lt;/xsl:choose>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>